# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

require 'active_audit/logger'
require 'active_record'
require 'faker'
require './db/migrate/1_create_active_audits'
require './db/migrate/2_add_extras_to_active_audits'

puts "Removing test database..."
if File.exist? "spec/db/active_audit_test.sqlite3"
  File.unlink "spec/db/active_audit_test.sqlite3"
end
ActiveRecord::Base.establish_connection(
  :adapter  => "sqlite3",
  :database => "spec/db/active_audit_test.sqlite3",
)
puts "Creating test tables..."
ActiveRecord::Base.connection.execute("CREATE TABLE `people`(`id` INTEGER PRIMARY KEY AUTOINCREMENT, `name` TEXT, `surname` TEXT, `email` TEXT, `age` INT, `created_at` DATETIME, `updated_at` DATETIME);")
CreateActiveAudits.migrate :up
AddExtrasToActiveAudits.migrate :up

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
end
